org.apache.nutch.protocol.sftp

## Class Sftp

- java.lang.Object
- - org.apache.nutch.protocol.sftp.Sftp

- All Implemented Interfaces:
    Configurable, FieldPluggable, Pluggable, Protocol

      public class Sftp
      extends Object
      implements Protocol

  This class uses the Jsch package to fetch content using the Sftp protocol.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.nutch.protocol.Protocol

      `CHECK_BLOCKING, CHECK_ROBOTS, X_POINT_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Sftp()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Configuration` | `getConf()` Get the `Configuration` object
    `Collection<WebPage.Field>` | `getFields()`
    `ProtocolOutput` | `getProtocolOutput(String url, WebPage page)`
    `crawlercommons.robots.BaseRobotRules` | `getRobotRules(String url, WebPage page)` Retrieve robot rules applicable for this url.
    `void` | `setConf(Configuration arg0)` Set the `Configuration` object

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Sftp

          public Sftp()

  - ### Method Detail

    - #### getProtocolOutput

          public ProtocolOutput getProtocolOutput(String url,
                                         WebPage page)

      Specified by:
        `getProtocolOutput` in interface `Protocol`

    - #### getConf

          public Configuration getConf()

      Get the `Configuration` object
      Specified by:
        `getConf` in interface `Configurable`

    - #### setConf

          public void setConf(Configuration arg0)

      Set the `Configuration` object
      Specified by:
        `setConf` in interface `Configurable`

    - #### getRobotRules

          public crawlercommons.robots.BaseRobotRules getRobotRules(String url,
                                                           WebPage page)

      Description copied from interface: `Protocol`
      Retrieve robot rules applicable for this url.
      Specified by:
        `getRobotRules` in interface `Protocol`
      Parameters:
        `url` - url to check
      Returns:
        robot rules (specific for this url or default), never null

    - #### getFields

          public Collection<WebPage.Field> getFields()

      Specified by:
        `getFields` in interface `FieldPluggable`

Copyright © 2015 The Apache Software Foundation